Get current identity profile
/v1/identity/auth/meCode samples
curl -X GET "https://api.canopy.dev/v1/identity/auth/me"
const response = await fetch("https://api.canopy.dev/v1/identity/auth/me", {
method: "GET",
headers: {
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.canopy.dev/v1/identity/auth/me",
headers={
},
)
data = response.json()package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.canopy.dev/v1/identity/auth/me", nil)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
200 Profile returned
{
"id": "string",
"email": "string",
"first_name": "string",
"last_name": "string",
"avatar_url": "string",
"email_verified": false,
"created_at": "2026-04-20T12:00:00.000Z"
}application/json
id *stringemail *stringfirst_name *stringlast_name *stringavatar_urlstringemail_verified *booleancreated_at *string (date-time)
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)